<div class="pixel-map-settings-container">
  <mat-form-field *ngIf="colorMaps">
    <mat-label>Color Maps</mat-label>
      <mat-select [value]="selectedColorMap" (selectionChange)="onColorMapSelectionChanged($event)">
        <mat-option *ngFor="let colorMap of colorMaps" [value]="colorMap" (click)="$event.stopPropagation()">
          {{colorMap.id}}
        </mat-option>
      </mat-select>
  </mat-form-field>
  <div class="inversion-container">
    <mat-slide-toggle
      color="accent"
      labelPosition="before"
      [disabled]="colorMapInversionDisableState"
      [checked]="colorMapInversion"
      (change)="onInversionChanged($event)">
      Invert
    </mat-slide-toggle>
  </div>
</div>
